cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/create_combo \
--header 'Content-Type: application/json' \
--data '
{
"id": 6,
"jsonrpc": "2.0",
"method": "private/create_combo",
"params": {
"trades": [
{
"amount": "1",
"direction": "buy",
"instrument_name": "BTC-29APR22-37500-C"
},
{
"amount": "1",
"direction": "sell",
"instrument_name": "BTC-29APR22-37500-P"
}
]
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/create_combo"
payload = {
"id": 6,
"jsonrpc": "2.0",
"method": "private/create_combo",
"params": { "trades": [
{
"amount": "1",
"direction": "buy",
"instrument_name": "BTC-29APR22-37500-C"
},
{
"amount": "1",
"direction": "sell",
"instrument_name": "BTC-29APR22-37500-P"
}
] }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 6,
jsonrpc: '2.0',
method: 'private/create_combo',
params: {
trades: [
{amount: '1', direction: 'buy', instrument_name: 'BTC-29APR22-37500-C'},
{amount: '1', direction: 'sell', instrument_name: 'BTC-29APR22-37500-P'}
]
}
})
};
fetch('https://drb.coinbase.com/api/v2/private/create_combo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 6,
"jsonrpc": "2.0",
"result": {
"creation_timestamp": 1650960943000,
"id": "BTC-REV-29APR22-37500",
"instrument_id": 52,
"legs": [
{
"amount": 1,
"instrument_name": "BTC-29APR22-37500-C"
},
{
"amount": -1,
"instrument_name": "BTC-29APR22-37500-P"
}
],
"state": "active",
"state_timestamp": 1650960943922
}
}Combo Books
private/create_combo
Verifies and creates a combo book or returns an existing combo matching the given trades. Combos allow trading on multiple instruments (futures and options) simultaneously as a single strategy.
If a combo matching the provided trades already exists, this method returns the existing combo. Otherwise, it creates a new combo book with the specified leg structure.
Scope: rat#trade or wallet:buys:create
GET
/
private
/
create_combo
cURL
Query Parameters
List of trades used to create a combo
Show child attributes
Show child attributes
Was this page helpful?
⌘I